# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import fields, models


class AlterincubCollectiveDay(models.Model):
    _name = "alterincub.collective.day"
    _description = "Articles Alter'Incub"
    _order = "sequence"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    sequence = fields.Integer("Sequence", default=10)
    name = fields.Char("Nom", required=True)
    lot_id = fields.Many2one(
        comodel_name="alterincub.lot",
        string="Lot",
        ondelete="restrict",
        domain=[("type_lot", "=", "jc")],
    )
    description = fields.Text("Description")
