# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import fields, models


class AlterincubLot(models.Model):
    _name = "alterincub.lot"
    _description = "Lots Alter'Incub"
    _order = "type_lot asc, name asc"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Nom", required=True)
    type_lot = fields.Selection(
        [
            ("ae", "Accompagnement Individualisé"),
            ("jc", "Journée Collective"),
        ],
        required=True,
    )
    description = fields.Text("Description")
    partner_ids = fields.Many2many(
        comodel_name="res.partner",
        relation="res_partner_lot_rel",
        column1="lot_id",
        column2="partner_id",
        string="Lots",
        domain=[("contact_type", "=", "provider")],
    )
