# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class AlterincubPriceList(models.Model):
    _name = "alterincub.price.list"
    _description = "Prix prestataires Alter'Incub"
    _order = "partner_id, service_place_id"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    partner_id = fields.Many2one(
        comodel_name="res.partner", string="Nom", required=True, ondelete="restrict"
    )
    type_lot = fields.Selection(
        [
            ("ae", "Accompagnement Individualisé"),
            ("jc", "Journée Collective"),
        ],
        required=True,
    )
    service_place_id = fields.Many2one(
        comodel_name="alterincub.service.place",
        string="Lieu d'accompagnement",
        ondelete="restrict",
    )
    price = fields.Float("Prix", default=0.0)
