# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import fields, models


class AlterincubProgram(models.Model):
    _name = "alterincub.program"
    _description = "Programmes Alter'Incub"
    _order = "sequence"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    sequence = fields.Integer("Sequence", default=10)
    name = fields.Char("Nom", required=True)
    project_ids = fields.One2many(
        comodel_name="res.partner",
        inverse_name="program_id",
        string="Projets",
        domain=[("contact_type", "=", "project"), ("is_company", "=", True)],
    )
