# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import fields, models


class AlterincubServicePlace(models.Model):
    _name = "alterincub.service.place"
    _description = "Lieux d'accompagnement Alter'Incub"
    _order = "type_lot, name"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char("Nom", required=True)
    type_lot = fields.Selection(
        [
            ("ae", "Accompagnement Individualisé"),
            ("jc", "Journée Collective"),
        ],
        required=True,
    )
    area_id = fields.Many2one(
        comodel_name="alterincub.area",
        ondelete="restrict",
        string="Territoire",
    )
