# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo.tests.common import TransactionCase


class TestAlterincubPartnerCommon(TransactionCase):
    def setUp(self):
        super().setUp()
        self.class_new = self.env["alterincub.class"].create(
            {
                "start_date": "2022-01-01",
                "stop_date": "2023-01-01",
                "duration_id": self.ref(
                    "alterincub_partner.alterincub_class_duration_01"
                ),
                "area_id": self.ref("alterincub_partner.alterincub_area_01"),
            }
        )
        # Project datas
        self.project_1 = self.env["res.partner"].create(
            {
                "lastname": "Projet 1",
                "is_company": True,
                "contact_type": "project",
                "summary": "test du projet",
                "class_id": self.class_new.id,
                "sector_id": self.ref("alterincub_partner.alterincub_sector_03"),
                "department_id": self.ref(
                    "alterincub_partner.alterincub_department_69"
                ),
            }
        )
        self.project_lost = self.env["res.partner"].create(
            {
                "lastname": "Projet Abandonné",
                "is_company": True,
                "contact_type": "project",
                "summary": "abandon du projet",
                "project_state": "8_lost",
                "end_reason_id": self.ref(
                    "alterincub_partner.alterincub_end_reason_01"
                ),
                "class_id": self.class_new.id,
                "sector_id": self.ref("alterincub_partner.alterincub_sector_01"),
                "department_id": self.ref(
                    "alterincub_partner.alterincub_department_01"
                ),
            }
        )

        # Provider datas
        self.provider_vat = self.env["res.partner"].create(
            {
                "lastname": "Fournisseur 1",
                "is_company": True,
                "is_vat": False,
                "contact_type": "provider",
            }
        )
        self.provider_no_vat = self.env["res.partner"].create(
            {
                "lastname": "Fournisseur 1",
                "is_company": True,
                "is_vat": True,
                "contact_type": "provider",
            }
        )
