# Copyright 2022 Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import api, fields, models


class ExitProjetcWizard(models.TransientModel):
    _name = "alterincub.exit.project.wizard"
    _description = "Wizard Sortie prématurée"

    @api.model
    def _default_partner_id(self):
        return self.env.context.get("active_id")

    partner_id = fields.Many2one(
        comodel_name="res.partner",
        string="Projet",
        required=True,
        default=_default_partner_id,
    )
    end_reason_id = fields.Many2one(
        comodel_name="alterincub.end.reason",
        string="Motif de sortie prématurée",
        required=True,
    )
    end_reason_comment = fields.Text(string="Détails de sortie prématurée")
    stop_date = fields.Date(string="Date de fin d’accompagnement", required=True)

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------
    def set_exit_project(self):
        self.partner_id.write(
            {
                "end_reason_id": self.end_reason_id.id,
                "end_reason_comment": self.end_reason_comment,
                "stop_date": self.stop_date,
                "project_state": "8_lost",
            }
        )
